use sea_orm_migration::prelude::*;
use sea_orm::EnumIter;

#[derive(DeriveIden)]
pub enum UserTokens {
    Table,
    Id,
    Token,
    ChatId,
    Descr,
}

#[derive(DeriveIden)]
pub enum Locations {
    Table,
    Id,
    Endpoint,
    Descr,
    Status
}

#[derive(DeriveIden)]
pub enum TokensLocations {
    Table,
    Id,
    TokenId,
    LocationId,
}

#[derive(DeriveIden)]
pub struct Status;

#[derive(DeriveIden, EnumIter)]
pub enum ConnStatus {
    #[sea_orm(string_value = "ConnGood")]
    ConnGood,
    #[sea_orm(string_value = "ConnProblems")]
    ConnProblems,
    #[sea_orm(string_value = "ConnError")]
    ConnError
}