pub use sea_orm_migration::prelude::*;

pub mod db_enums;
mod m20220101_000001_create_table;
mod m20240217_173720_tokenlocation;
mod m20240221_160431_system_aval_state_storage;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20220101_000001_create_table::Migration),
            Box::new(m20240217_173720_tokenlocation::Migration),
            Box::new(m20240221_160431_system_aval_state_storage::Migration),
        ]
    }
}
